/*
 * fileio.h
 */

/*
 * yank  -  yet another NoteKeeper
 * Copyright (C) 1999 Michael Humann <m.hussmann@home.ins.de>
 *
 * This program is free software; you  can redistribute it and/or modify it
 * under the terms of  the GNU General  Public License as published  by the
 * Free Software Foundation;  either version 2 of  the License, or (at your
 * option) any later version.
 *
 * This program  is  distributed in the  hope  that it will  be useful, but
 * WITHOUT  ANY   WARRANTY;  without   even   the  implied    warranty   of
 * MERCHANTABILITY or    FITNESS FOR A PARTICULAR   PURPOSE.   See  the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the  GNU General Public License along
 * with this program; if not, write to the  Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef YANK_FILEIO_H
#define YANK_FILEIO_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif   /* HAVE_CONFIG_H */

#include <gnome.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include "notedefs.h"
#include "callbacks.h"

/*
 * loading
 */

void cb_file_load_dialog(GtkWidget *, gpointer);
void cb_load_file_ok(GtkWidget *, GtkFileSelection *);
gint note_load(gchar *, GtkCTree *, GtkCTreeNode *);
void load_notelist(GtkCTreeNode *, xmlNodePtr);
void load_notes_from_cli(gchar *, GtkCTree *, GtkCTreeNode *);

/*
 * saving
 */

void cb_file_save_dialog(GtkWidget *, gpointer);
void cb_save_file_ok(GtkWidget *, GtkFileSelection *);
void note_save(gchar *, GtkCTree *);
void save_notelist(GtkCTree *, GtkCTreeNode *, gpointer);
void cb_save_file(GtkWidget *, gpointer);

/*
 * misc
 */

void       cb_close(GtkWidget *, gpointer);
void       txt_append_file(GtkText *, gchar *);
note_data* make_note_from_file(gchar *);


#endif  /* YANK_FILEIO_H */

